curl --request GET \
--url https://api.arize.com/v2/experiments \
--header 'Authorization: Bearer <token>'{
"experiments": [
{
"id": "RXhwZXJpbWVudDoxOmFCY0Q=",
"name": "Experiment 1",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z"
},
{
"id": "RXhwZXJpbWVudDoyOmFCY0Q=",
"name": "Experiment 2",
"dataset_id": "RGF0YXNldDoyOmFCY0Q=",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MjphQmNE",
"created_at": "2024-01-02T12:00:00Z",
"updated_at": "2024-01-03T12:00:00Z"
}
],
"pagination": {
"next_cursor": "cursor_12345",
"has_more": true
}
}List all experiments a user has access to.
To filter experiments by the dataset they were run on, provide the
dataset_id query parameter.
curl --request GET \
--url https://api.arize.com/v2/experiments \
--header 'Authorization: Bearer <token>'{
"experiments": [
{
"id": "RXhwZXJpbWVudDoxOmFCY0Q=",
"name": "Experiment 1",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z"
},
{
"id": "RXhwZXJpbWVudDoyOmFCY0Q=",
"name": "Experiment 2",
"dataset_id": "RGF0YXNldDoyOmFCY0Q=",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MjphQmNE",
"created_at": "2024-01-02T12:00:00Z",
"updated_at": "2024-01-03T12:00:00Z"
}
],
"pagination": {
"next_cursor": "cursor_12345",
"has_more": true
}
}Documentation Index
Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Filter to a specific dataset (base64 global ID) A universally unique identifier
"RW50aXR5OjEyMzQ1"
Case-insensitive substring filter on the resource name. Returns only
resources whose name contains the given string. For example,
name=prod matches "production", "my-prod-dataset", etc. If omitted,
no name filtering is applied and all resources are returned.
255Maximum items to return
1 <= x <= 100Opaque pagination cursor returned from a previous response
(pagination.next_cursor). Treat it as an unreadable token; do not
attempt to parse or construct it.
Was this page helpful?
Suggestions